{% extends 'base.html.twig' %}

{% block mainHeader %}
    <div class="container-fluid d-flex bg-white justify-content-start px-4 py-4 flex-wrap gap-3">
        <span class="text-primary fs-5 align-self-center">Leerstände und Bestandsobjekte <span class="text-secondary">({{ buildingUnits|length }})</span></span>
        <button class="mdc-button mdc-button--leading ms-auto" data-coreui-toggle="collapse" data-coreui-target="#building_unit_filter" aria-expanded="false" aria-controls="building_unit_filter">
            <span class="mdc-button__ripple"></span>
            <i class="material-icons mdc-button__icon" aria-hidden="true">filter_alt</i>
            <span class="mdc-button__label d-none d-md-block">Filter</span>
            {% if buildingUnitFilter.isFilterActive() %}
                <span class="position-absolute top-0 start-100 translate-middle p-1 bg-success border border-light rounded-circle">
                    <span class="visually-hidden">Filter aktiv</span>
                </span>
            {% endif %}
        </button>
        <button class="mdc-button mdc-button--leading ms-auto" data-coreui-toggle="collapse" data-coreui-target="#building_unit_search" aria-expanded="false" aria-controls="building_unit_search">
            <span class="mdc-button__ripple"></span>
            <i class="material-icons mdc-button__icon" aria-hidden="true">search</i>
            <span class="mdc-button__label d-none d-md-block">Suche</span>
            {% if buildingUnitSearchForm.vars.data.getText() != null %}
                <span class="position-absolute top-0 start-100 translate-middle p-1 bg-success border border-light rounded-circle">
                    <span class="visually-hidden">Suche aktiv</span>
                </span>
            {% endif %}
        </button>
        {% if canCreateBuildingUnit == true %}
            <a href="{{ path('property_vacancy_management_building_unit_create') }}" class="mdc-button mdc-button--raised mdc-button--leading ms-auto">
                <span class="mdc-button__ripple"></span>
                <i class="material-icons mdc-button__icon" aria-hidden="true">add</i>
                <span class="mdc-button__label d-md-none">erfassen</span>
                <span class="mdc-button__label d-none d-md-block">Objekt erfassen</span>
            </a>
        {% endif %}
    </div>
    <div class="collapse bg-white" id="building_unit_search">
        <div class="p-4">
            {{ form_start(buildingUnitSearchForm) }}
            <div class="row mb-4">
                <div class="col-md-9">
                    {% include 'component/mdc_search_field_component.html.twig' with {
                        'id': buildingUnitSearchForm.text.vars.id ~ '_mdc_text_field',
                        'labelId': buildingUnitSearchForm.text.vars.id ~ '_label',
                        'label': buildingUnitSearchForm.text.vars.label,
                        'type': 'text',
                        'name': buildingUnitSearchForm.text.vars.full_name,
                        'value': buildingUnitSearchForm.text.vars.value,
                        'disabled': buildingUnitSearchForm.text.vars.disabled,
                        'required': buildingUnitSearchForm.text.vars.required,
                        'suffix': null,
                    } only %}
                </div>
                <div class="col-md-3 mt-2">
                    {{ form_widget(buildingUnitSearchForm.search, {'label': 'suchen', 'attr': {'class': 'mdc-button mdc-button--raised mdc-button--leading ms-auto'}}) }}
                </div>
            </div>
            {{ form_row(buildingUnitSearchForm._token) }}
            {{ form_end(buildingUnitSearchForm, {'render_rest': false}) }}
        </div>
    </div>
    <div class="collapse bg-white" id="building_unit_filter">
        <div class="p-4">
            {{ form_start(buildingUnitFilterForm) }}
            {% include 'property_vacancy_management/form/building_unit/building_unit_filter_form.html.twig' with {'form': buildingUnitFilterForm} only %}
            {{ form_widget(buildingUnitFilterForm.apply, {'label': 'Übernehmen', 'attr': {'class': 'mdc-button mdc-button--raised mdc-button--leading'}}) }}
            {{ form_widget(buildingUnitFilterForm.reset, { 'attr': {'class': 'mdc-button mdc-button--leading ps-3'}}) }}
            {{ form_row(buildingUnitFilterForm._token) }}
            {{ form_end(buildingUnitFilterForm, {'render_rest': false}) }}
        </div>
    </div>
{% endblock %}

{% block tabBar %}
    {% include 'component/mdc_tab_bar_component.html.twig' with {
        'id': 'building_unit_overview_page_tab_bar',
        'tabs': [
            {'name': 'Kartenansicht', 'id': 'building_unit_overview_map_tab', 'url': path('property_vacancy_management_building_unit_overview_map'), 'active': false},
            {'name': 'Galerieansicht', 'id': 'building_unit_overview_gallery_tab', 'url': path('property_vacancy_management_building_unit_overview_gallery'), 'active': false},
            {'name': 'Listenansicht', 'id': 'building_unit_overview_list_tab', 'url': path('property_vacancy_management_building_unit_overview_list'), 'active': false},
        ]
    } only %}
{% endblock %}
